<template>
  <div class="user-wrapper">
    <div class="content-box">
      <!-- <notice-icon class="action" /> -->

      <a-dropdown>
        <span class="action ant-dropdown-link user-dropdown-menu">
          <span>{{ name }} | {{ role | UserRole }}</span>
        </span>
        <a-menu slot="overlay" class="user-dropdown-menu-wrapper">
          <a-menu-item key="3">
            <a @click="handleLogout" href="javascript:;">
              <a-icon type="logout" />
              <span>Đăng xuất</span>
            </a>
          </a-menu-item>
        </a-menu>
      </a-dropdown>
    </div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
export default {
  name: 'UserMenu',
  components: {
  },
  computed: {
    ...mapGetters('auth', ['name', 'role'])
  },
  methods: {
    ...mapActions('auth', ['logout']),
    handleLogout () {
      const that = this
      this.$confirm({
        title: `Bạn muốn đăng xuất khỏi tài khoản [${that.name}]`,
        cancelText: 'Huỷ bỏ',
        okText: 'Đồng ý',
        async onOk () {
          await that.logout()
          window.location.href = '/login'
        },
        onCancel () {
        }
      })
    }
  }
}
</script>
